import pytest
from orchestrator.types import SubscriptionLifecycle

from gso.products import ProductName
from gso.products.product_types.site import Site
from test.workflows import assert_complete, run_workflow


@pytest.mark.workflow()
def test_import_site_success(site_subscription_factory):
    imported_site = site_subscription_factory(is_imported=False)
    result, _, _ = run_workflow("import_site", [{"subscription_id": imported_site}])
    subscription = Site.from_subscription(imported_site)

    assert_complete(result)
    assert subscription.product.name == ProductName.SITE
    assert subscription.status == SubscriptionLifecycle.ACTIVE
    assert subscription.insync
